Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWriter Class Reference

`#include <vtkWriter.h>`

Inheritance diagram for vtkWriter:

[legend]
Collaboration diagram for vtkWriter:

[legend]
List of all members.

## Detailed Description

abstract class to write data to file(s)

Date:
  2002/05/31 23:12:41

Revision:
  1.46

vtkWriter is an abstract class for mapper objects that write their data to disk (or into a communications port). All writers respond to Write() method. This method insures that there is input and input is up to date.

Since vtkWriter is a subclass of vtkProcessObject, StartMethod(), EndMethod(), and ProgressMethod() are all available to writers. These methods are executed before and after execution of the Write() method. You can also specify arguments to these methods.

Warning:
  Every subclass of vtkWriter must implement a WriteData() method. Most likely will have to create SetInput() method as well.

See also:
  vtkBYUWriter vtkDataWriter vtkSTLWriter vtkVoxelWriter vtkMCubesWriter

Events:
  vtkCommand::StartEvent vtkCommand::EndEvent

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (47%)
  - Cedilnik, Andy (13%)
  - Martin, Ken (13%)
  - Geveci, Berk (9%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkWriter.cxx)`
  - .`h` (`/IO/vtkWriter.h)`

Definition at line 66 of file vtkWriter.h.

## Public Types
typedef vtkProcessObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Write ()
void | Update ()
void | EncodeArrayName (char *resname, const char *name)
vtkDataObject * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWriter ()
| ~vtkWriter ()
virtual void | WriteData ()=0
## Protected Attributes
vtkTimeStamp | WriteTime

## Member Typedef Documentation

typedef vtkProcessObject vtkWriter::Superclass

| Reimplemented from vtkProcessObject. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataObjectWriter, vtkDataSetWriter, vtkDataWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter. Definition at line 69 of file vtkWriter.h.

## Constructor & Destructor Documentation

vtkWriter::vtkWriter | ( |  | ) | `[protected]`

vtkWriter::~vtkWriter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataObjectWriter, vtkDataSetWriter, vtkDataWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

int vtkWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataObjectWriter, vtkDataSetWriter, vtkDataWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

virtual int vtkWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataObjectWriter, vtkDataSetWriter, vtkDataWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

vtkWriter* vtkWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataObjectWriter, vtkDataSetWriter, vtkDataWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

void vtkWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProcessObject. Reimplemented in vtkBYUWriter, vtkCGMWriter, vtkDataObjectWriter, vtkDataSetWriter, vtkDataWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, vtkUnstructuredGridWriter, and vtkPDataSetWriter.

virtual void vtkWriter::Write | ( |  | ) | `[virtual]`

| Write data to output. Method executes subclasses WriteData() method, as well as StartMethod() and EndMethod() methods. Reimplemented in vtkPDataSetWriter.

void vtkWriter::Update | ( |  | ) |

| Convenient alias for Write() method.

void vtkWriter::EncodeArrayName | ( | char * | resname,
|  | const char * | name
| ) |

| Encode the name so that the reader will not have problems. The resulting string is up to four time the size of the input string.

vtkDataObject* vtkWriter::GetInput | ( |  | ) |

| Reimplemented in vtkDataObjectWriter, vtkDataSetWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, and vtkUnstructuredGridWriter.

virtual void vtkWriter::WriteData | ( |  | ) | `[protected, pure virtual]`

| Implemented in vtkBYUWriter, vtkCGMWriter, vtkDataObjectWriter, vtkDataSetWriter, vtkDataWriter, vtkIVWriter, vtkMCubesWriter, vtkPLYWriter, vtkPolyDataWriter, vtkRectilinearGridWriter, vtkSTLWriter, vtkStructuredGridWriter, vtkStructuredPointsWriter, and vtkUnstructuredGridWriter.

## Member Data Documentation

vtkTimeStamp vtkWriter::WriteTime`[protected]`

| Definition at line 91 of file vtkWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkWriter.h